Bug 285410 - Incoming "add contact" requests should be handled by the kded-module
Summary: Incoming "add contact" requests should be handled by the kded-module
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: kded-module (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Dario Freddi
URL:
Keywords:
Depends on:
Blocks: 285413
  Show dependency treegraph
 
Reported: 2011-10-31 17:33 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2011-10-31 17:33:13 UTC
At the moment incoming "add contact" requests are handled by the contact list, but that means that if the contact list is not running, no request is received
Comment 1 Martin Klapetek 2011-11-08 11:21:14 UTC
I'm looking into this right now. How do you think we should let the user know? Plasma popup would be the best, but it's buttons and the persistant flag does not always really work and a KMessageBox surprise is not too nice either. Should we create a StatusNotifierItem like for the new message?
Comment 2 Dario Freddi 2011-11-24 21:33:29 UTC
I'm handling this
Comment 3 Dario Freddi 2011-11-26 00:37:18 UTC
Commit 787935b68661d178589ac5371b3c3c3905529705 solves the issue.